### Method

# Ide DebugManager start

#### Declaration

    gboolean
    ide_debug_manager_start (
      IdeDebugManager* self,
      IdeRunner* runner,
      GError** error
    )

#### Description

Attempts to start a runner using a discovered debugger backend.

Available since: | 3.32

#### Parameters

`runner` | `IdeRunner`
| An `IdeRunner`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if successful; otherwise `FALSE` and `error` is set.